Subject: bug#43117: [PATCH] Add .git-blame-ignore-revs file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Sep 2020 20:34:10 +0300

> Date: Sun, 13 Sep 2020 19:06:39 +0200 (CEST)
> From: Brian Leung <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > I'm not sure I understand the rationale: why would we want to replace
> > all 'if's with 'when's?
> 
> I expected that people would find it easier to read 'when'/'unless' than single-clause 'if' statements. The 'when'/'unless', along with the indentation of the corresponding 'then' clause, immediately signal that there is only one possible non-nil form returned. With single-clause 'if' statements, you would have to continue reading past the 'then' clause to spot what the 'when'/'unless' and its differing indentation immediately tell you.

To go over two dozen of files and summarily replace 'if' with 'when'
for this reason sounds way too radical to me.  I have no difficulties
understanding the original code, FWIW.

Is it just me? do others think such changes are a good idea?